#ifndef __CRUISEFUNCTION_H
#define __CRUISEFUNCTION_H

#include "TransXFunction.h"

class CruiseFunction : public TransXFunction
{
private:
	void Getmode2hypo(VECTOR3 *targetvel);
protected:
	INTERCEPT primary;
	ORBIT craft, rmin, basisorbit, hypormaj, craftinrmaj, target;
	GRAPH graph;
	bool hypoorcraft, showintercept, showrinc;

	//double soisize2;
	//double ejectmjd;
public:
	virtual bool doupdate(HDC hDC, int tw, int th);
	virtual bool initialisevars();
	virtual void saveself(FILEHANDLE scn);
	virtual void restoreself(FILEHANDLE scn);
	CruiseFunction(class transxstate *tstate, OBJHANDLE thmajor, OBJHANDLE thminor, OBJHANDLE thtarget, OBJHANDLE thcraft, OBJHANDLE thbase);
	~CruiseFunction();
};

#endif