#ifndef __TRANSX_H
#define __TRANSX_H
#include "graph.h"

class TransxMFD: public MFD {
public:
	TransxMFD (DWORD w, DWORD h, VESSEL *Vessel, UINT mfd);
	~TransxMFD();
	char *ButtonLabel (int bt);
	int  ButtonMenu (const MFDBUTTONMENU **menu) const;
	bool ConsumeKeyImmediate(char *kstate);
	bool ConsumeButton(int bt, int event);
	bool ConsumeKeyBuffered(DWORD key);
	void Update (HDC hDC);
	void WriteStatus(FILEHANDLE scn) const;
	void ReadStatus(FILEHANDLE scn);
	static int MsgProc (UINT msg, UINT mfd, WPARAM wparam, LPARAM lparam);


	bool SetResetflag(char *str);
	void resetvars();
	bool SetMajorBody(char *str); //Sets major body to str
	bool SetMinorBody(char *str); //Sets minor body to str
	bool SetTargetBody(char *str); //Sets target body to str
	int getwidth();
	int getheight();
	GRAPH graph, graphleft, graphright;
	
	bool isvalid() { return valid;};
private:

	class transxstate *state;// Pointer to transxstate
	bool valid;
	//char buffer[100];//Just for test purposes
};

#endif